/**
 * Copyright (C) 2010-2015 eBusiness Information, Excilys Group
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed To in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package org.androidannotations.api.rest;

public final class MediaType {

	public final static String ALL = "*/*";
	public final static String APPLICATION_ATOM_XML = "application/atom+xml";
	public final static String APPLICATION_RSS_XML = "application/rss+xml";
	public final static String APPLICATION_FORM_URLENCODED = "application/x-www-form-urlencoded";
	public final static String APPLICATION_JSON = "application/json";
	public final static String APPLICATION_OCTET_STREAM = "application/octet-stream";
	public final static String APPLICATION_XHTML_XML = "application/xhtml+xml";
	public final static String IMAGE_GIF = "image/gif";
	public final static String IMAGE_JPEG = "image/jpeg";
	public final static String IMAGE_PNG = "image/png";
	public final static String APPLICATION_XML = "application/xml";
	public final static String APPLICATION_WILDCARD_XML = "application/*+xml";
	public final static String MULTIPART_FORM_DATA = "multipart/form-data";
	public final static String TEXT_HTML = "text/html";
	public final static String TEXT_PLAIN = "text/plain";
	public final static String TEXT_XML = "text/xml";

	private MediaType() {

	}

}
